md5
money_format
String Functions
PHP Manual

# metaphone

Calculate the metaphone key of a string

### Description

string metaphone ( string `$str` [, int `$phonemes` = 0 ] )

Calculates the metaphone key of `str`.

Similar to soundex metaphone creates the same key for similar sounding words. It's more accurate than soundex as it knows the basic rules of English pronunciation. The metaphone generated keys are of variable length.

Metaphone was developed by Lawrence Philips <lphilips at verity dot com>. It is described in ["Practical Algorithms for Programmers", Binstock & Rex, Addison Wesley, 1995].

### Parameters

`str`

  The input string.

`phonemes`

  This parameter restricts the returned metaphone key to `phonemes` characters in length. The default value of 0 means no restriction.

### Return Values

Returns the metaphone key as a string, or `FALSE` on failure.

### Examples

Example #1 metaphone basic example

`<?php
var_dump(metaphone('programming'));
var_dump(metaphone('programmer'));
?>`

The above example will output something similar to:

    string(7) "PRKRMNK"
    string(6) "PRKRMR"

Example #2 Using the `phonemes` parameter

`<?php
var_dump(metaphone('programming', 5));
var_dump(metaphone('programmer', 5));
?>`

The above example will output something similar to:

    string(5) "PRKRM"
    string(5) "PRKRM"